%define rname libxml
%define oname %{rname}-ruby
%define name ruby-%{rname}
%define version 1.1.3
%define release %mkrel 2

Summary:	Ruby bindings for libxml2
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://libxml.rubyforge.org/
Source0:	http://rubygems.org/downloads/%{oname}-%{version}.gem
License:	MIT
Group:		Development/Ruby
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	ruby(abi) = 1.8
Requires:	rubygems
BuildRequires:	ruby-devel libxml2-devel rubygems

%description
ruby-libxml provides a clean and fast Ruby interface into the libxml2
library. Can write XML documents and has a friendly interface for
performing XPath queries.

%prep
%setup -q -n %{rname}-%{version}
tar xf data.tar.gz

%build
%gem_build

%install
rm -rf %buildroot
%gem_install

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib/
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/libxml_ruby.so


%changelog
* Sun Dec 19 2010 Rémy Clouard <shikamaru@mandriva.org> 1.1.3-2mdv2011.0
+ Revision: 623176
- Fix Build
- require rubygems
- require ruby(abi) as suggested by proyvind
- Bump release
- new version 1.1.3
- use gem and %%gem_* macros to build the package
- fix URL
- fix license
- fix file list
- drop patch0 (code changed way too much in 3 years and isn?\226?\128?\153t needed
  anymore)
  TODO: remove manual untar once rpm-5.3 lands

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3.4-4mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.3.4-4mdv2008.0
+ Revision: 16811
- Use mkrel
- Use Development/Ruby group
- Use std macros


* Thu Dec 22 2005 Pascal Terjan <pterjan@mandrake.org> 0.3.4-3mdk
- fix compilation with gcc4

* Thu Mar 31 2005 Pascal Terjan <pterjan@mandrake.org> 0.3.4-2mdk
- lib64 fix

* Fri Feb 04 2005 Pascal Terjan <pterjan@mandrake.org> 0.3.4-1mdk
- First package

